#ifndef INPUTMETHOD_H_
#define INPUTMETHOD_H_

namespace Msp {
namespace GLtk {

class Root;

enum InputType
{
	INPUT_NONE,
	INPUT_NAVIGATION,
	INPUT_TEXT
};

enum Navigation
{
	NAV_LEFT,
	NAV_RIGHT,
	NAV_UP,
	NAV_DOWN,
	NAV_NEXT,
	NAV_PREVIOUS,
	NAV_ACTIVATE,
	NAV_ACCEPT,
	NAV_CANCEL
};

class InputMethod
{
protected:
	Root &root;

	InputMethod(Root &);
public:
	virtual ~InputMethod() { }
};

} // namespace GLtk
} // namespace Msp

#endif
