#include <msp/gltk/entry.h>
#include <msp/gltk/label.h>
#include "entrydemo.h"

using namespace Msp;

EntryDemo::EntryDemo()
{
	set_layout(new GLtk::Layout);

	GLtk::Label *lbl = new GLtk::Label("Single-line entries:");
	add(*lbl);

	GLtk::Widget *prev = lbl;
	for(unsigned i=0; i<2; ++i)
	{
		GLtk::Entry *ent = new GLtk::Entry;
		ent->set_edit_size(20+i*40, 1);
		add(*ent);
		layout->add_constraint(*ent, GLtk::Layout::BELOW, *prev);
		prev = ent;
	}

	lbl = new GLtk::Label("Multi-line entry:");
	add(*lbl);
	layout->add_constraint(*lbl, GLtk::Layout::BELOW, *prev);
	prev = lbl;

	GLtk::Entry *ent = new GLtk::Entry;
	ent->set_multiline(true);
	ent->set_edit_size(60, 5);
	add(*ent);
	layout->add_constraint(*ent, GLtk::Layout::BELOW, *prev);
}
