#ifndef WIDGETDEMO_H_
#define WIDGETDEMO_H_

#include <msp/core/application.h>
#include <msp/gltk/resources.h>
#include <msp/gltk/root.h>
#include <msp/graphics/simplewindow.h>
#include "demoselector.h"

class WidgetDemo: public Msp::RegisteredApplication<WidgetDemo>
{
private:
	Msp::Graphics::SimpleGLWindow window;
	Msp::GLtk::Resources resources;
	Msp::GLtk::Root root;
	DemoSelector selector;

public:
	WidgetDemo(int, char **);

	virtual int main();
private:
	virtual void tick();

	void add_demo(const std::string &, Msp::GLtk::Panel *);
};

#endif
