#ifndef MSP_GLTK_INDICATOR_H_
#define MSP_GLTK_INDICATOR_H_

#include "widget.h"

namespace Msp {
namespace GLtk {

/**
An Indicator visualizes a boolean state.  It can be either active or inactive.
*/
class Indicator: public Widget
{
public:
	virtual const char *get_class() const { return "indicator"; }

	void set_active(bool);
};

} // namespace GLtk
} // namespace Msp

#endif
